# $Revision: 1.23 $, $Date: 2004/05/06 18:09:11 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	AI
%define	pnam	Categorizer
Summary:	AI::Categorizer - automatic text categorization
Summary(pl):	AI::Categorizer - automatyczna klasyfikacja tekstu
Name:		perl-%{pdir}-%{pnam}
Version:	0.07
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ae1c1320c802337c7b1c2500476ffa9f
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 3.0.3-26
%if %{with tests}
BuildRequires:	perl-AI-DecisionTree
BuildRequires:	perl-Algorithm-NaiveBayes
BuildRequires:	perl-Class-Container >= 0.09
BuildRequires:	perl-Lingua-Stem >= 0.50
BuildRequires:	perl-Statistics-Contingency >= 0.06
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
"AI::Categorizer" is a framework for automatic text categorization. It
consists of a collection of Perl modules that implement common
categorization tasks, and a set of defined relationships among those
modules. The various details are flexible - for example, you can choose what
categorization algorithm to use, what features (words or otherwise) of the
documents should be used (or how to automatically choose these features),
what format the documents are in, and so on.

%description -l pl
AI::Categorizer to szkielet do automatycznej klasyfikacji tekstu.
Skada si z zestawu moduw Perla z implementacj wsplnych zada
klasyfikujcych oraz zbioru zdefiniowanych relacji midzy tymi
moduami. Rne szczegy s elastyczne - na przykad mona wybra,
jaki algorytm klasyfikacji ma by uyty, ktre wasnoci (sowa czy
inne) dokumentw powinny by wykorzystane (lub jak automatycznie
wybra te cechy), w jakim formacie s dokumenty itd.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} -MExtUtils::MakeMaker -e 'WriteMakefile(NAME=>"AI::Categorizer", PL_FILES=>{})' \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-AI-Categorizer.spec,v $
Revision 1.23  2004/05/06 18:09:11  ankry
- fixed perl-devel BR

Revision 1.22  2004/04/25 16:13:33  ankry
- cosmetics: unifications

Revision 1.21  2004/04/16 07:19:38  ankry
- license fixes and unification

Revision 1.20  2004/03/09 19:44:06  adamg
- new style bconds

Revision 1.19  2003/09/09 10:24:24  ankry
- spaces -> tab

Revision 1.18  2003/07/24 14:55:39  adamg
- updated to 0.07

Revision 1.17  2003/06/12 10:26:54  qboosh
- up to 0.06

Revision 1.16  2003/05/28 13:00:18  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/04/16 15:11:29  ankry
- rel. 3

Revision 1.13  2003/04/16 13:16:56  radek
- version 0.05

Revision 1.12  2003/04/16 12:42:45  ankry
- typo

Revision 1.11  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.10  2003/03/12 23:50:49  ankry
- enabled tests, cosmetics
- rel. 3

Revision 1.9  2003/03/10 20:40:31  ankry
- typo

Revision 1.8  2003/03/09 21:02:49  radek
- EU::MM::WriteMakefile() hack to prevent stupid questions

Revision 1.7  2003/03/01 21:41:23  radek
- should be ready for perl-5.8.0; release 2

Revision 1.6  2003/02/28 10:08:07  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.5  2003/02/25 00:35:46  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:25:19  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/11/19 17:05:40  mis
- autoupdated to 0.04

Revision 1.2  2002/08/11 01:38:59  qboosh
- pl description, release 2

Revision 1.1  2002/08/03 13:12:16  radek
- new, stbr
